﻿@model AEWeb.ViewModels.Dashboard.DashboardViewModel
@using AEWeb.ViewModels.KPI
@using AEWeb.ViewModels.Dashboard
@using Domain.Enums.Indicators
@using Microsoft.AspNetCore.Mvc.Localization
@addTagHelper *, AEWeb
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = Model.Name;
    Layout = "_DashboardLayout";
}
@section Styles {
    <style>
        /* HIDE RADIO */
        .imageSelector [type=radio] {
            position: absolute;
            opacity: 0;
            width: 0;
            height: 0;
        }

            /* IMAGE STYLES */
            .imageSelector [type=radio] + img {
                cursor: pointer;
            }

            /* CHECKED STYLES */
            .imageSelector [type=radio]:checked + img {
                outline: 2px solid #01cdd4;
            }
    </style>
}
<div class="row wrapper border-bottom white-bg page-heading">
    @{ 
        var idx = 0;
        var lastRowDimension = "";
        var indexBg = 0;
        string[] dimClasses = { "success", "primary", "info", "warning", "danger" };
    }
    <div id="dimensionindex" class="col-lg-6">
        <h2>@Model.Name</h2>
        <small></small>
    </div>
    <div class="col-lg-6">
        @while (idx < Model.Config.Rows.Count)
        {
            var row = Model.Config.Rows[idx];
            lastRowDimension = row.Dimension;
            var dimensionidrow = "dimensionid" + row.RowNumber;
            <div style="float:left; margin-right:20px; margin-top:10px">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true">
                    <span class="label label-@dimClasses[indexBg]"><small>@row.Dimension</small></span>
                </a>
                <ul class="dropdown-menu">
                    @{
                        var subrow = true;
                    }

                    @while (subrow)
                    {
                        if (row.Dimension.Equals(lastRowDimension))
                        {
                            @foreach (var kpi in row.Kpis)
                            {
                                <li>
                                    <a href="#@dimensionidrow">@kpi.Title</a>
                                </li>
                            }
                            idx++;
                            if (idx >= Model.Config.Rows.Count)
                                break;
                            row = Model.Config.Rows[idx];
                        }
                        else
                        {
                            subrow = false;
                        }
                    }

                </ul>
            </div>
            if (row.Kpis.Count == 0)
                idx++;
            
            indexBg = (indexBg + 1) % (dimClasses.Length);
        }
    </div>
</div>

<div class="wrapper wrapper-content">
    @{ 
        lastRowDimension = "";
        indexBg = 0;        
    }
    @foreach (DashboardRowViewModel row in Model.Config.Rows)
    {
        if(!row.Dimension.Equals(lastRowDimension))
        {
            var dimensionidrow = "dimensionid" + row.RowNumber;

            <div class="row" id="@dimensionidrow">
                <div class="col-md-12 bg-@dimClasses[indexBg]">
                    <h5><a href="#dimensionindex" class="text-reset"><i class="fa fa-arrow-up"></i></a> @row.Dimension</h5>
                </div>
            </div>
            lastRowDimension = row.Dimension;
            indexBg = (indexBg + 1) % (dimClasses.Length);
        }
        <div class="row dashboardrow" data-rowid="@row.DashboardRowID">
            @{
                var closeDiv = "";
            }
            @foreach (KpiViewModel kpi in row.Kpis)
            {
                @if (!kpi.SameColumnThanPrevious)
                {
                    @Html.Raw(closeDiv)
                    @Html.Raw(kpi.DivColumnStart)
                }

                @if (kpi.Type != KpiViewModelType.None)
                {
                    <vc:kpi-generic kpi-key="@kpi.KpiMnemonic" id="@kpi.KpiId"></vc:kpi-generic>
                }
                else
                {
                    <vc:kpi-not-supported kpi-key="@kpi.KpiMnemonic" id="@kpi.KpiId"></vc:kpi-not-supported>
                }
                closeDiv = "</div>";
            }
            @Html.Raw(closeDiv)
        </div>
    }
</div>

@section Scripts {
    <script src="~/lib/kpi/sparkline.js"></script>
    <script src="~/lib/kpi/columnchart.js"></script>
    <script src="~/lib/kpi/piechart.js"></script>

    <script>
        Highcharts.setOptions({
            //colors: ['#2C82C9', '#61BD6D', '#ED561B', '#F7DA64', '##FBA026', '#EB6B56', '#A38F84', '#9365B8', '#3D8EB9','#41A85F','#FAC51C','#F37934','#D1D5D8','#475577']
            colors: ['#16A64F', '#B8E259', '#0B8695', '#60C7B9', '#E9832A', '#FEBB40', '#B73A8D']
        });

        $(document).ready(function () {

            // Add slimscroll to element
            $('.scroll_content').slimscroll({
                height: '400px'
            })

            $('.dashb')

        });

    </script>
}